[-]
[+]
|
Changed |
varnish.spec
|
|
|
Added |
redhat-init.tar.bz2
^
|
[-]
[+]
|
Added |
varnish.initrc
^
|
@@ -0,0 +1,176 @@
+#!/bin/sh
+#
+# Init script for Varnish Cache.
+#
+# chkconfig: - 90 10
+# description: Varnish is a high-performance HTTP accelerator
+# processname: varnishd
+# config: /etc/sysconfig/varnish
+# pidfile: /var/run/varnish.pid
+
+### BEGIN INIT INFO
+# Provides: varnish
+# Required-Start: $network $local_fs $remote_fs
+# Required-Stop: $network $local_fs $remote_fs
+# Default-Start:
+# Default-Stop:
+# Should-Start: $syslog
+# Short-Description: start and stop varnishd
+# Description: Varnish is a high-performance HTTP accelerator
+### END INIT INFO
+
+# Source function library.
+. /etc/init.d/functions
+
+retval=0
+pidfile=/var/run/varnish.pid
+
+exec="/usr/sbin/varnishd"
+reload_exec="/usr/sbin/varnish_reload_vcl"
+prog="varnishd"
+config="/etc/sysconfig/varnish"
+lockfile="/var/lock/subsys/varnish"
+
+# Include varnish defaults
+[ -e /etc/sysconfig/varnish ] && . /etc/sysconfig/varnish
+
+
+start() {
+
+ if [ ! -x $exec ]
+ then
+ echo $exec not found
+ exit 5
+ fi
+
+ if [ ! -f $config ]
+ then
+ echo $config not found
+ exit 6
+ fi
+ echo -n "Starting Varnish Cache: "
+
+ # Open files (usually 1024, which is way too small for varnish)
+ ulimit -n ${NFILES:-131072}
+
+ # Varnish wants to lock shared memory log in memory.
+ ulimit -l ${MEMLOCK:-82000}
+
+ # Maximum number of threads (default in CentOS is 1024, which
+ # is often too small for varnish)
+ ulimit -u ${NPROCS:-unlimited}
+
+ # If defined, set maximum core size.
+ if [ -n "${DAEMON_COREFILE_LIMIT}" ]
+ then
+ ulimit -c ${DAEMON_COREFILE_LIMIT}
+ fi
+
+ # $DAEMON_OPTS is set in /etc/sysconfig/varnish.
+ if [ "$DAEMON_OPTS" = "" ]; then
+ echo "\$DAEMON_OPTS is empty."
+ echo -n "Please put configuration options in $config"
+ return 6
+ else
+ daemon --pidfile $pidfile $exec "$DAEMON_OPTS" -P $pidfile
+ retval=$?
+ if [ $retval -eq 0 ]
+ then
+ touch $lockfile
+ echo_success
+ echo
+ else
+ echo_failure
+ echo
+ fi
+ return $retval
+ fi
+}
+
+stop() {
+ echo -n "Stopping Varnish Cache: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ if [ "$RELOAD_VCL" = "1" ]
+ then
+ $reload_exec
+ else
+ force_reload
+ fi
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+configtest() {
+ if [ -f "$VARNISH_VCL_CONF" ]; then
+ $exec -C $DAEMON_OPTS -n /tmp 2>/dev/null
+ if [ "$?" = 0 ]; then
+ echo "Syntax ok"
+ else
+ $exec -C $DAEMON_OPTS -n /tmp
+ return $?
+ fi
+ else
+ echo "VARNISH_VCL_CONF is unset or does not point to a file."
+ fi
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ configtest)
+ configtest
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+
+ exit 2
+esac
+
+exit $?
+
|
[-]
[+]
|
Added |
varnish.logrotate
^
|
@@ -0,0 +1,10 @@
+/var/log/varnish/varnishncsa.log {
+ daily
+ rotate 7
+ compress
+ delaycompress
+ missingok
+ postrotate
+ /bin/kill -HUP `cat /var/run/varnishncsa.pid /run/varnishncsa/varnishncsa.pid 2>/dev/null` 2> /dev/null || true
+ endscript
+}
|
[-]
[+]
|
Added |
varnish.sysconfig
^
|
@@ -0,0 +1,68 @@
+# Configuration file for Varnish Cache
+#
+# /etc/init.d/varnish expects the variable $DAEMON_OPTS to be set from this
+# shell script fragment.
+#
+
+# Maximum number of open files (for ulimit -n)
+NFILES=131072
+
+# Locked shared memory (for ulimit -l)
+# Default log size is 82MB + header
+MEMLOCK=82000
+
+# Maximum number of threads (for ulimit -u)
+NPROCS="unlimited"
+
+# Maximum size of corefile (for ulimit -c). Default in Fedora is 0
+# DAEMON_COREFILE_LIMIT="unlimited"
+
+# Init script support to reload/switch vcl without restart.
+# To make this work, you need to set the following variables
+# explicit: VARNISH_VCL_CONF, VARNISH_ADMIN_LISTEN_ADDRESS,
+# VARNISH_ADMIN_LISTEN_PORT, VARNISH_SECRET_FILE.
+RELOAD_VCL=1
+
+# Set WARMUP_TIME to force a delay in reload-vcl between vcl.load and vcl.use
+# This is useful when backend probe definitions need some time before declaring
+# configured backends healthy, to avoid routing traffic to a non-healthy backend.
+#WARMUP_TIME=0
+
+# Main configuration file.
+VARNISH_VCL_CONF=/etc/varnish/default.vcl
+#
+# Default address and port to bind to
+# Blank address means all IPv4 and IPv6 interfaces, otherwise specify
+# a host name, an IPv4 dotted quad, or an IPv6 address in brackets.
+VARNISH_LISTEN_PORT=6081
+#
+# Telnet admin interface listen address and port
+VARNISH_ADMIN_LISTEN_ADDRESS=127.0.0.1
+VARNISH_ADMIN_LISTEN_PORT=6082
+#
+# Shared secret file for admin interface
+VARNISH_SECRET_FILE=/etc/varnish/secret
+#
+# The minimum number of worker threads to start
+VARNISH_MIN_THREADS=50
+#
+# The Maximum number of worker threads to start
+VARNISH_MAX_THREADS=1000
+#
+# Cache file size: in bytes, optionally using k / M / G / T suffix.
+VARNISH_STORAGE_SIZE=256M
+#
+# Backend storage specification
+VARNISH_STORAGE="malloc,${VARNISH_STORAGE_SIZE}"
+#
+# Default TTL used when the backend does not specify one
+VARNISH_TTL=120
+#
+# DAEMON_OPTS is used by the init script.
+DAEMON_OPTS="-a ${VARNISH_LISTEN_ADDRESS}:${VARNISH_LISTEN_PORT} \
+ -f ${VARNISH_VCL_CONF} \
+ -T ${VARNISH_ADMIN_LISTEN_ADDRESS}:${VARNISH_ADMIN_LISTEN_PORT} \
+ -p thread_pool_min=${VARNISH_MIN_THREADS} \
+ -p thread_pool_max=${VARNISH_MAX_THREADS} \
+ -S ${VARNISH_SECRET_FILE} \
+ -s ${VARNISH_STORAGE}"
|
[-]
[+]
|
Added |
varnishncsa.initrc
^
|
@@ -0,0 +1,116 @@
+#! /bin/sh
+#
+# Control the Varnish Cache NCSA logging daemon
+#
+# chkconfig: - 90 10
+# description: Varnish Cache logging daemon
+# processname: varnishncsa
+# config:
+# pidfile: /var/run/varnishncsa.pid
+
+### BEGIN INIT INFO
+# Provides: varnishncsa
+# Required-Start: $network $local_fs $remote_fs
+# Required-Stop: $network $local_fs $remote_fs
+# Default-Start:
+# Default-Stop:
+# Short-Description: start and stop varnishncsa
+# Description: Varnish Cache NCSA logging daemon
+### END INIT INFO
+
+# Source function library.
+. /etc/init.d/functions
+
+retval=0
+pidfile="/var/run/varnishncsa.pid"
+lockfile="/var/lock/subsys/varnishncsa"
+logfile="/var/log/varnish/varnishncsa.log"
+
+exec="/usr/bin/varnishncsa"
+prog="varnishncsa"
+
+DAEMON_OPTS="-a -w $logfile -D -P $pidfile"
+
+# Include varnishncsa defaults
+[ -e /etc/sysconfig/varnishncsa ] && . /etc/sysconfig/varnishncsa
+
+start() {
+
+ if [ ! -x $exec ]
+ then
+ echo $exec not found
+ exit 5
+ fi
+
+ echo -n "Starting varnish ncsa logging daemon: "
+
+ daemon --pidfile $pidfile $exec "$DAEMON_OPTS"
+ echo
+ return $retval
+}
+
+stop() {
+ echo -n "Stopping varnish ncsa logging daemon: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+
+ exit 2
+esac
+
+exit $?
+
|